classification
Title: [Windows] Tests failing on installed Python 3.7a1 on Windows
Type: Stage: resolved
Components: Tests, Windows Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, serhiy.storchaka, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-09-27 09:57 by vstinner, last changed 2018-04-25 13:49 by vstinner. This issue is now closed.

Messages (5)
msg303119 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-27 09:57
I installed Python 3.7a1 on Windows. The following tests fail:
---
372 tests OK.

5 tests failed:
    test_io test_largefile test_marshal test_regrtest test_tools

30 tests skipped:
    test_asdl_parser test_crypt test_curses test_dbm_gnu test_dbm_ndbm
    test_devpoll test_epoll test_fcntl test_fork1 test_gdb test_grp
    test_ioctl test_kqueue test_nis test_openpty test_ossaudiodev
    test_pipes test_poll test_posix test_pty test_pwd test_readline
    test_resource test_spwd test_syslog test_threadsignals test_wait3
    test_wait4 test_xxtestfuzz test_zipfile64

Total duration: 4 min 18 sec
Tests result: FAILURE
---

test_regrtest: "ERROR: test_pcbuild_rt (test.test_regrtest.ProgramsTestCase)" because the tested script is not installed.

C:\Users\haypo\AppData\Local\Programs\Python\Python37>python -m test -v -u all test_largefile

======================================================================
ERROR: test_truncate (test.test_largefile.PyLargeFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_largefile.py", line 37, in setUp
    f.flush()
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\_pyio.py", line 1226, in flush
    self._flush_unlocked()
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\_pyio.py", line 1233, in _flush_unlocked
    n = self.raw.write(self._write_buf)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\_pyio.py", line 1630, in write
    return os.write(self._fd, b)
OSError: [Errno 28] No space left on device

(other tests fail with similar message)

I have a single 40 GB disk with 1.36 GB free.


C:\Users\haypo\AppData\Local\Programs\Python\Python37>python -m test -v  test_marshal
== CPython 3.7.0a1 (v3.7.0a1:8f51bb4, Sep 19 2017, 19:32:44) [MSC v.1900 64 bit (AMD64)]
== Windows-8.1-6.3.9600-SP0 little-endian
== cwd: C:\Users\haypo\AppData\Local\Temp\test_python_4124
== CPU count: 4
== encodings: locale=cp1252, FS=utf-8
Run tests sequentially
0:00:00 [1/1] test_marshal
test_array (test.test_marshal.BufferTestCase) ... ok
(...)
test_large_marshal (test.test_marshal.BugsTestCase) ... ok
test_loads_2x_code (test.test_marshal.BugsTestCase) ... Windows fatal exception:
 stack overflow

Current thread 0x00001528 (most recent call first):
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\unittest\case.
py", line 178 in handle
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\unittest\case.
py", line 743 in assertRaises
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_mars
hal.py", line 192 in test_loads_2x_code
  (...)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\runpy.py", lin
e 193 in _run_module_as_main


test_tools:

======================================================================
ERROR: test_sundry (test.test_tools.test_sundry.TestSundryScripts)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_tool
s\test_sundry.py", line 36, in test_sundry
    import_tool(name)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_tool
s\__init__.py", line 21, in import_tool
    return importlib.import_module(toolname)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\importlib\__in
it__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 679, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\Tools\scripts\2to3
.py", line 5, in <module>
    sys.exit(main("lib2to3.fixes"))
SystemExit: 1

----------------------------------------------------------------------
Ran 59 tests in 3.094s

FAILED (errors=1)
Warning -- logging._handlerList was modified by test_tools
  Before: (28425746248, [<weakref at 0x000000069E5AE9A8; to '_StderrHandler' at
0x000000069E5A7BE0>, <weakref at 0x000000069EB19408; to 'StreamHandler' at 0x000
000069EBC8F98>], [<weakref at 0x000000069E5AE9A8; to '_StderrHandler' at 0x00000
0069E5A7BE0>])
  After:  (28425746248, [<weakref at 0x000000069E5AE9A8; to '_StderrHandler' at
0x000000069E5A7BE0>, <weakref at 0x000000069EB19408; to 'StreamHandler' at 0x000
000069EBC8F98>], [<weakref at 0x000000069E5AE9A8; to '_StderrHandler' at 0x00000
0069E5A7BE0>, <weakref at 0x000000069EB19408; to 'StreamHandler' at 0x000000069E
BC8F98>])
test test_tools failed
test_tools failed


test_io:

======================================================================
ERROR: test_large_file_ops (test.test_io.CIOTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_io.p
y", line 574, in test_large_file_ops
    self.large_file_ops(f)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_io.p
y", line 355, in large_file_ops
    self.assertEqual(f.write(b"xxx"), 3)
OSError: [Errno 28] No space left on device

======================================================================
ERROR: test_large_file_ops (test.test_io.PyIOTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_io.p
y", line 574, in test_large_file_ops
    self.large_file_ops(f)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\test\test_io.p
y", line 355, in large_file_ops
    self.assertEqual(f.write(b"xxx"), 3)
  File "C:\Users\haypo\AppData\Local\Programs\Python\Python37\lib\_pyio.py", lin
e 1630, in write
    return os.write(self._fd, b)
OSError: [Errno 28] No space left on device
msg303124 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-27 10:40
Try to run these tests with -u all,-largefile.
msg303131 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-27 12:30
I created bpo-31611 "Tests failures using -u largefile when the disk is full" for failures caused by my low free disk space.
msg315731 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-25 13:47
> test_regrtest: "ERROR: test_pcbuild_rt (test.test_regrtest.ProgramsTestCase)" because the tested script is not installed.

I created bpo-33352 for this one.
msg315732 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-25 13:49
I tested Python 3.7 beta 3: test_marshal crashed and test_tools fails when running with python -m test -j2, but it seems like these two issues were already fixed in the 3.7 development branch.

I close this issue.
History
Date User Action Args
2018-04-25 13:49:00vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg315732

stage: resolved
2018-04-25 13:47:13vstinnersetmessages: + msg315731
2017-09-27 12:30:02vstinnersetmessages: + msg303131
2017-09-27 10:40:58serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg303124
2017-09-27 09:57:07vstinnercreate